TencentNavKit

Properties | List of all members
TNKEnlargedMapConfig Class Reference

放大图配置类 More...

`#import <TNKEnlargedMapConfig.h>`

Inheritance diagram for TNKEnlargedMapConfig:

## Properties
BOOL | enlargedMapEnabled
| 设置在3D车头朝上和2D地图朝北模式下 显示/隐藏路口放大图. 默认为YES 注意不管此参数如何设置，在全览模式和剩余全览模式下都会隐藏. More...
CGRect | enlargedMapRect
| 路口放大图摆放位置。rect.orgin.x, rect.origin.y, rect.size.width生效, 高由enlargedIntersectionAspect决定 当前正在展示路口放大图时，修改不会立即生效，下次展示路口放大图时生效 More...
CGFloat | enlargedMapAspect
| 路口放大图宽高比，取值范围[1.0 , 2.0], 默认值为kTNKEnlargedIntersectionAspect。 More...
BOOL | showEnlargedMapProgressView
| 路口放大图中顶部的进度条是否展示，默认为YES More...
float | bottomLeftCornerRadius
| 路口放大图左下圆角，默认为20 More...
float | bottomRightCornerRadius
| 路口放大图右下圆角，默认为20 More...
float | topLeftCornerRadius
| 路口放大图左下圆角，默认为0 More...
float | topRightCornerRadius
| 路口放大图右下圆角，默认为0 More...

## Detailed Description

放大图配置类

## Property Documentation

## ◆ bottomLeftCornerRadius

- (float) bottomLeftCornerRadius
| readwritenonatomicassign

路口放大图左下圆角，默认为20

## ◆ bottomRightCornerRadius

- (float) bottomRightCornerRadius
| readwritenonatomicassign

路口放大图右下圆角，默认为20

## ◆ enlargedMapAspect

- (CGFloat) enlargedMapAspect
| readwritenonatomicassign

路口放大图宽高比，取值范围[1.0 , 2.0], 默认值为kTNKEnlargedIntersectionAspect。

## ◆ enlargedMapEnabled

- (BOOL) enlargedMapEnabled
| readwritenonatomicassign

设置在3D车头朝上和2D地图朝北模式下 显示/隐藏路口放大图. 默认为YES 注意不管此参数如何设置，在全览模式和剩余全览模式下都会隐藏.

## ◆ enlargedMapRect

- (CGRect) enlargedMapRect
| readwritenonatomicassign

路口放大图摆放位置。rect.orgin.x, rect.origin.y, rect.size.width生效, 高由enlargedIntersectionAspect决定 当前正在展示路口放大图时，修改不会立即生效，下次展示路口放大图时生效

## ◆ showEnlargedMapProgressView

- (BOOL) showEnlargedMapProgressView
| readwritenonatomicassign

路口放大图中顶部的进度条是否展示，默认为YES

## ◆ topLeftCornerRadius

- (float) topLeftCornerRadius
| readwritenonatomicassign

路口放大图左下圆角，默认为0

## ◆ topRightCornerRadius

- (float) topRightCornerRadius
| readwritenonatomicassign

路口放大图右下圆角，默认为0

The documentation for this class was generated from the following file:

- TNKEnlargedMapConfig.h